Bug 1014380 - setup-ds.pl doesn't lookup the "root" group correctly
Summary: setup-ds.pl doesn't lookup the "root" group correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-01 20:52 UTC by Rich Megginson
Modified: 2015-03-05 09:31 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 09:31:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0416 normal SHIPPED_LIVE Important: 389-ds-base security, bug fix, and enhancement update 2015-03-05 14:26:33 UTC

Description Rich Megginson 2013-10-01 20:52:06 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/47473

Silent install will fail, if you set the "SuiteSpotUserID" to root, but do not set "SuiteSpotGroup".

Error: could not determine the current group ID:  at /usr/lib64/dirsrv/perl/DSUtil.pm line 186
	DSUtil::getGroup('root') called at /usr/lib64/dirsrv/perl/DSCreate.pm line 822
	DSCreate::setDefaults('Inf=HASH(0x21bff90)') called at /usr/lib64/dirsrv/perl/DSCreate.pm line 1175
	DSCreate::createDSInstance('Inf=HASH(0x21bff90)') called at /usr/sbin/setup-ds.pl line 83

Comment 2 Amita Sharma 2014-12-18 14:47:47 UTC
[root@dhcp201-126 export]# cat sample.inf
[General]
SuiteSpotUserID = root
FullMachineName = dhcp201-126.englab.pnq.redhat.com


[slapd]
InstallLdifFile = suggest
ServerIdentifier = dhcp201-126
ServerPort = 1289
AddOrgEntries = Yes
RootDN = cn=Directory Manager
RootDNPwd = Secret123
Suffix = dc=example,dc=com
AddSampleEntries = No

[root@dhcp201-126 export]# setup-ds.pl --silent --file /export/sample.inf 
Warning: using root as the server user id.  You are strongly encouraged to use a non-root user.
Your new DS instance 'dhcp201-126' was successfully created.
Exiting . . .
Log file is '/tmp/setupZvg2lJ.log

Hence VERIFIED.

Comment 4 errata-xmlrpc 2015-03-05 09:31:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0416.html


Note You need to log in before you can comment on or make changes to this bug.